%define upstream_name    Test-Taint
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 1.06
Release:	4

Summary:    Tools to test taintedness

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/Test-Taint-1.06.tar.gz

BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(Tie::Scalar)
BuildRequires: perl(overload)
BuildRequires: perl-devel

%description
Tainted data is data that comes from an unsafe source, such as the command
line, or, in the case of web apps, any GET or POST transactions. Read the
the perlsec manpage man page for details on why tainted data is bad, and
how to untaint the data.

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your data,
in standard the Test::More manpage style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%clean

%files
%doc META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*





%changelog
* Sat Feb 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.60.0-4
+ Revision: 51c0e6c
- Move to main


